%define mainrel 1
%define date    20250703
%define commit  7388feabcc0375447dea9c430c910ca46ada7569
%define rel 1

Name:           xqf
Version:        1.0.6.2
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Graphical server browser and launcher for popular FPS games
Group:          Games/Shooter
License:        GPLv2+
URL:            https://xqf.github.io
# Snapshot from https://github.com/XQF/xqf
Source0:        https://github.com/XQF/xqf/archive/%{commit}/%{name}-%{version}+%{date}.tar.gz
Patch0:         xqf-compat-minizip-ng.patch
Patch1:         xqf-cmake-4.0.patch

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(minizip)
Requires:       qstat

%description
XQF is a server browser and launcher for games using id Tech engines, Unreal
engines and many others (see https://github.com/XQF/xqf/wiki/Supported-games
for details). XQF is a front-end to QStat and uses the GTK+ 2 toolkit.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%cmake -DWITH_QSTAT=qstat-quake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Jul 06 2025 aurr <aurr> 1.0.6.2-1.20250703.1.mga10
+ Revision: 2247692
- new git source: 20250703
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun May 19 2024 daviddavid <daviddavid> 1.0.6.2-1.20210914.1.mga10
+ Revision: 2064829
- update to latest git snapshot from 20210914
- fix build with our minizip-ng

* Sun Oct 15 2023 wally <wally> 1.0.6.2-1.20160902.6.mga10
+ Revision: 1997003
- rebuild for minizip from minizip-ng

* Sat Mar 26 2022 umeabot <umeabot> 1.0.6.2-1.20160902.5.mga9
+ Revision: 1828333
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 joequant <joequant> 1.0.6.2-1.20160902.4.mga8
+ Revision: 1616973
- build gcc10

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6.2-1.20160902.3.mga8
+ Revision: 1520851
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Dec 11 2018 daviddavid <daviddavid> 1.0.6.2-1.20160902.2.mga7
+ Revision: 1340153
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 1.0.6.2-1.20160902.1.mga7
+ Revision: 1092199
- imported package xqf

